extern string NSymbol="USDCHF";
extern string NameFile="";

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
void start() {
  int    dg=MarketInfo(NSymbol, MODE_DIGITS);
  string st=TimeToStr(CurTime(), TIME_DATE|TIME_MINUTES)+
            " Bid="+DoubleToStr(MarketInfo(NSymbol, MODE_BID), dg)+"\n"+
            "iClose(M1)="+DoubleToStr(iClose(NSymbol, PERIOD_M1, 0), dg)+"\n"+
            "iClose(M5)="+DoubleToStr(iClose(NSymbol, PERIOD_M5, 0), dg)+"\n"+
            "iClose(M15)="+DoubleToStr(iClose(NSymbol, PERIOD_M15, 0), dg)+"\n"+
            "iClose(M30)="+DoubleToStr(iClose(NSymbol, PERIOD_M30, 0), dg)+"\n"+
            "iClose(H1)="+DoubleToStr(iClose(NSymbol, PERIOD_H1, 0), dg)+"\n"+
            "iClose(H4)="+DoubleToStr(iClose(NSymbol, PERIOD_H4, 0), dg)+"\n"+
            "iClose(D1)="+DoubleToStr(iClose(NSymbol, PERIOD_D1, 0), dg);
  if (StringLen(NameFile)>0) WriteLineInFile(NameFile+".txt", st);
  Comment(st);
}

//+------------------------------------------------------------------+
//|                                                 |
//+------------------------------------------------------------------+
void WriteLineInFile(string FileName, string text) {
  int file_handle=FileOpen(FileName, FILE_READ|FILE_WRITE, " ");

	if (file_handle>0) {
		FileSeek(file_handle, 0, SEEK_END);
		FileWrite(file_handle, text);
		FileClose(file_handle);
	}
}
//+------------------------------------------------------------------+

